ITfThreadMgrVtbl Struct Reference

`#include <SDL_msctf.h>`

Collaboration diagram for ITfThreadMgrVtbl:
[legend]

## Public Member Functions

| HRESULT (STDMETHODCALLTYPE *QueryInterface)(ITfThreadMgr *
void ** | ULONG (STDMETHODCALLTYPE *AddRef)(ITfThreadMgr *)
| ULONG (STDMETHODCALLTYPE *Release)(ITfThreadMgr *)
| HRESULT (STDMETHODCALLTYPE *Activate)(ITfThreadMgr *
TfClientId * | HRESULT (STDMETHODCALLTYPE *Deactivate)(ITfThreadMgr *)
| HRESULT (STDMETHODCALLTYPE *CreateDocumentMgr)(ITfThreadMgr *)
| HRESULT (STDMETHODCALLTYPE *EnumDocumentMgrs)(ITfThreadMgr *
IEnumTfDocumentMgrs ** | HRESULT (STDMETHODCALLTYPE *GetFocus)(ITfThreadMgr *
IEnumTfDocumentMgrs ITfDocumentMgr ** | HRESULT (STDMETHODCALLTYPE *SetFocus)(ITfThreadMgr *
IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr * | HRESULT (STDMETHODCALLTYPE *AssociateFocus)(ITfThreadMgr *
IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ** | HRESULT (STDMETHODCALLTYPE *IsThreadFocus)(ITfThreadMgr *
IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL * | HRESULT (STDMETHODCALLTYPE *GetFunctionProvider)(ITfThreadMgr *
IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfFunctionProvider ** | HRESULT (STDMETHODCALLTYPE *EnumFunctionProviders)(ITfThreadMgr *
IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfFunctionProvider IEnumTfFunctionProviders ** | HRESULT (STDMETHODCALLTYPE *GetGlobalCompartment)(ITfThreadMgr *

## Data Fields

| REFIID
IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr | HWND
IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL | REFCLSID

## Detailed Description

Definition at line 54 of file SDL_msctf.h.

## Member Function Documentation

## HRESULT() [1/12]

ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | QueryInterface | ) |

## HRESULT() [2/12]

ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | Activate | ) |

## HRESULT() [3/12]

TfClientId* ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | Deactivate | ) |

## HRESULT() [4/12]

ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | CreateDocumentMgr | ) |

## HRESULT() [5/12]

ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | EnumDocumentMgrs | ) |

## HRESULT() [6/12]

IEnumTfDocumentMgrs** ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetFocus | ) |

## HRESULT() [7/12]

IEnumTfDocumentMgrs ITfDocumentMgr** ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | SetFocus | ) |

## HRESULT() [8/12]

IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr* ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | AssociateFocus | ) |

## HRESULT() [9/12]

IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr** ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | IsThreadFocus | ) |

## HRESULT() [10/12]

IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL* ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetFunctionProvider | ) |

## HRESULT() [11/12]

IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfFunctionProvider** ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | EnumFunctionProviders | ) |

## HRESULT() [12/12]

IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfFunctionProvider IEnumTfFunctionProviders** ITfThreadMgrVtbl::HRESULT | ( | STDMETHODCALLTYPE * | GetGlobalCompartment | ) |

## ULONG() [1/2]

void** ITfThreadMgrVtbl::ULONG | ( | STDMETHODCALLTYPE * | AddRef | ) |

## ULONG() [2/2]

ITfThreadMgrVtbl::ULONG | ( | STDMETHODCALLTYPE * | Release | ) |

## Field Documentation

## HWND

IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfThreadMgrVtbl::HWND

Definition at line 65 of file SDL_msctf.h.

## REFCLSID

IEnumTfDocumentMgrs ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr ITfDocumentMgr BOOL ITfThreadMgrVtbl::REFCLSID

Definition at line 67 of file SDL_msctf.h.

## REFIID

ITfThreadMgrVtbl::REFIID

Definition at line 56 of file SDL_msctf.h.

The documentation for this struct was generated from the following file:

- src/video/windows/SDL_msctf.h